function AsciiToOpcuaUpdatePage()
{
	var SaveGlobalVariable = function(Row){AsciiToOpcuaUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return AsciiToOpcuaUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){AsciiToOpcuaUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){AsciiToOpcuaUpdatePage.prototype._Initialization_();};
}










function AsciiToOpcuaFirstPage()
{

  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){AsciiToOpcuaFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){AsciiToOpcuaFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){AsciiToOpcuaFirstPage.prototype._ShowNextPage_();};

  var ShowTable          = function(ObjectKey, DisplayNumber){AsciiToOpcuaFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};

  this.RedisplayUi       = function(){AsciiToOpcuaFirstPage.prototype._RedisplayUi_();};

  var GetAllDeviceName   = function(){return AsciiToOpcuaFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber = function(){return AsciiToOpcuaFirstPage.prototype._GetAllNumber_();};
  var GetAllModuleData = function(){return AsciiToOpcuaFirstPage.prototype._GetAllModuleData_();};

  var IsAllTransformOpcUa = function(){return AsciiToOpcuaFirstPage.prototype._IsAllTransformOpcUa_();};

  this.Initialization = function(){AsciiToOpcuaFirstPage.prototype._Initialization_();};

  var TransmissionJson = function(ssocket, Command, JsonString, Callback){AsciiToOpcuaFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  var SaveFinished = function(that, ssocket){AsciiToOpcuaFirstPage.prototype._SaveFinished_(that, ssocket);};
  var SaveStart = function(that, ssocket){AsciiToOpcuaFirstPage.prototype._SaveStart_(that, ssocket);};

  this.EditButton = function(that){AsciiToOpcuaFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){AsciiToOpcuaFirstPage.prototype._SaveButton_(that);};

  var ArrayInteraction= function(FirstArray, SecondArray){return AsciiToOpcuaFirstPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return AsciiToOpcuaFirstPage.prototype._ArrayComplement_(FirstArray, SecondArray);};
  //Checkbox
  this.ChangeAllCheckbox = function(that){AsciiToOpcuaFirstPage.prototype._ChangeAllCheckbox_(that);};
  this.ChangeCheckbox = function(that){AsciiToOpcuaFirstPage.prototype._ChangeCheckbox_(that);};
}










function AsciiToOpcuaSecondPage()
{

  var VariableTableAddNewRow       = function(number){AsciiToOpcuaSecondPage.prototype._VariableTableAddNewRow_(number);};
  var SetVariableTableNewRowValue  = function(number){AsciiToOpcuaSecondPage.prototype._SetVariableTableNewRowValue_(number);};
  var SetVariableTableInitialValue = function(number){AsciiToOpcuaSecondPage.prototype._SetVariableTableInitialValue_(number);};  

  var GetModuleName = function(number){return AsciiToOpcuaSecondPage.prototype._GetModuleName_(number);};

  var ArrayInteraction = function(FirstArray, SecondArray){return AsciiToOpcuaSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
  var ArrayComplement = function(FirstArray, SecondArray){return AsciiToOpcuaSecondPage.prototype._ArrayComplement_(FirstArray, SecondArray);};

  var ClearTable = function(number){AsciiToOpcuaSecondPage.prototype._ClearTable_(number);};
  this.ConfirmButton = function(){AsciiToOpcuaSecondPage.prototype._ConfirmButton_();};
  this.NoConfirmButton = function(){AsciiToOpcuaSecondPage.prototype._NoConfirmButton_();};

  var ModifyAsciiToOpcuaVariableObject= function(that){AsciiToOpcuaSecondPage.prototype._ModifyAsciiToOpcuaVariableObject_(that);};
  var SetFormInitialValue = function(number){AsciiToOpcuaSecondPage.prototype._SetFormInitialValue_(number);};
  var SetInitialValue = function(number){AsciiToOpcuaSecondPage.prototype._SetInitialValue_(number);};

  var GetReadWriteType = function(string){return AsciiToOpcuaSecondPage.prototype._GetReadWriteType_(string);};
}